ext.alwaysLib = true //虽然apply了cc-settings-2.gradle，但一直作为library编译，否则别的组件依赖此module时会报错
apply from: rootProject.file("cc-settings.gradle")

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    useLibrary 'org.apache.http.legacy'

    compileOptions {
        targetCompatibility JavaVersion.VERSION_1_8
        sourceCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
    }


    lintOptions {
        abortOnError false
    }
}

dependencies {
    api(rootProject.ext.dependencies["appcompat-v7"]) {
        exclude module: 'support-annotations'
        exclude module: 'support-v4'
    }
}

//publish {
//    artifactId = 'fragmentation-core'
//    userOrg = rootProject.userOrg
//    groupId = rootProject.groupId
//    uploadName = 'Fragmentation-Core'
//    publishVersion = rootProject.publishVersion
//    description = rootProject.desc
//    website = rootProject.website
//    licences = rootProject.licences
//}